## HippoCanvasImage

HippoCanvasImage

## Synopsis

    #include <hippo/hippo-canvas-image.h>

                        HippoCanvasImage;
    HippoCanvasItem*    hippo_canvas_image_new              (void);

## Object Hierarchy

      GObject
       +----HippoCanvasBox
             +----HippoCanvasImage
                   +----HippoCanvasImageButton

## Implemented Interfaces

HippoCanvasImage implements HippoCanvasItem, HippoCanvasContext and HippoCanvasContainer.

## Properties

      "image"                    HippoCairoSurface*    : Read / Write
      "image-name"               gchar*                : Read / Write
      "scale-height"             gint                  : Read / Write
      "scale-width"              gint                  : Read / Write

## Description

## Details

### HippoCanvasImage

    typedef struct _HippoCanvasImage HippoCanvasImage;

### hippo_canvas_image_new ()

    HippoCanvasItem*    hippo_canvas_image_new              (void);

Returns : |

## Property Details

### The `"image"` property

      "image"                    HippoCairoSurface*    : Read / Write

Specifies the Cairo surface to display.

### The `"image-name"` property

      "image-name"               gchar*                : Read / Write

Specifies an image name to display; with GTK+ the image name is an image name registered with the GTK+ theme system.

Default value: NULL

### The `"scale-height"` property

      "scale-height"             gint                  : Read / Write

A height in pixels to scale the image to, or -1 to use the image's original height.

Allowed values: >= -1

Default value: -1

### The `"scale-width"` property

      "scale-width"              gint                  : Read / Write

A width in pixels to scale the image to, or -1 to use the image's original width.

Allowed values: >= -1

Default value: -1